Skip to main content
GET
/
v1
/
customers
/
{id}
/
subsidiaries
List customer subsidiaries
curl --request GET \
  --url https://api.useaira.com/v1/customers/{id}/subsidiaries \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalId": "705faf65-9c8b-4053-8c0b-2021281ce83f",
      "name": "Acme Inc.",
      "type": "individual",
      "invoicePrefix": "ACMEI",
      "parentCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "archivedAt": "2023-11-07T05:31:56Z",
      "customFields": {
        "customField1": "value1",
        "customField2": [
          "value2",
          "value3"
        ]
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.useaira.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API Key Authentication.

Path Parameters

id
string<uuid>
required

The unique identifier of the customer in our system.

Query Parameters

includeArchived
boolean
default:false

Whether archived subsidiaries should be returned.

Response

200 - application/json

Default Response

items
object[]
required

A list of items.